org.apache.felix.ipojo.handlers.providedservice

## Class ProvidedServiceHandlerDescription

- java.lang.Object
- - org.apache.felix.ipojo.architecture.HandlerDescription
  - - org.apache.felix.ipojo.handlers.providedservice.ProvidedServiceHandlerDescription

    public class ProvidedServiceHandlerDescription
    extends HandlerDescription

Provided Service Handler Description.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`ProvidedServiceHandlerDescription(ProvidedServiceHandler handler, ProvidedService[] pss)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.felix.ipojo.metadata.Element` `getHandlerInfo()` Build the provided service handler description.
`ProvidedServiceDescription[]` `getProvidedServices()` Get the provided service descriptions.

### Methods inherited from class org.apache.felix.ipojo.architecture.HandlerDescription

`getHandlerName, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProvidedServiceHandlerDescription

    public ProvidedServiceHandlerDescription(ProvidedServiceHandler handler,
                                             ProvidedService[] pss)

Constructor.

Parameters:
  `handler` - the handler.
  `pss` - the list of provided service

### Method Detail

#### getProvidedServices

    public ProvidedServiceDescription[] getProvidedServices()

Get the provided service descriptions.

Returns:
  the provided service description list.

#### getHandlerInfo

    public org.apache.felix.ipojo.metadata.Element getHandlerInfo()

Build the provided service handler description.

Overrides:
  `getHandlerInfo` in class `HandlerDescription`
Returns:
  the handler description.
See Also:
  `HandlerDescription.getHandlerInfo()`